Moodle
  1. Moodle
  2. MDL-39248

All add-ons are listed as requiring attention during the upgrade

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Minor Minor
    • Resolution: Fixed
    • Affects Version/s: 2.4
    • Fix Version/s: 2.5
    • Component/s: Administration
    • Labels:
    • Testing Instructions:
      Hide

      Testing difficulty: hard (requires simulated upgrade and installed add-ons)

      1. Install two add-ons to the site. For one of them, there must be an update available the other one has to be recent.
      2. Make sure the automatic update deployment is allowed at your site and the web server has write access to the add-on folders.
      3. Downgrade the main Moodle version in the database (one day into the past is enough) and purge caches.
      4. Visit /admin/index.php. Moodle upgrade should be invoked.
      5. At Plugins check screen, press the Check for updates button.
      6. TEST: Make sure that only the add-on with available update is reported as requiring attention.
      7. TEST: Check the modified strings and help at the page.
      Show
      Testing difficulty: hard (requires simulated upgrade and installed add-ons) Install two add-ons to the site. For one of them, there must be an update available the other one has to be recent. Make sure the automatic update deployment is allowed at your site and the web server has write access to the add-on folders. Downgrade the main Moodle version in the database (one day into the past is enough) and purge caches. Visit /admin/index.php. Moodle upgrade should be invoked. At Plugins check screen, press the Check for updates button. TEST: Make sure that only the add-on with available update is reported as requiring attention. TEST: Check the modified strings and help at the page.
    • Affected Branches:
      MOODLE_24_STABLE
    • Fixed Branches:
      MOODLE_25_STABLE
    • Pull from Repository:
    • Pull Master Branch:
      MDL-39248-plugins-check
    • Rank:
      49859

      Description

      When the new Plugin check screen was written, it was a good idea to display all installed add-ons during Moodle upgrade. It was supposed to work as a reminder for the administrator that they should go and manually check if there are newer versions of installed add-ons available.

      But since 2.3, Moodle itself can checks for available updates and since 2.4, available updates can be automatically installed. Thence it makes sense to highlight only add-ons with available update during the upgrade.

      Also, some strings at that page are not true any more - e.g. Moodle is now able to automatically update installed add-ons (if the site is configured so).

        Issue Links

          Activity

          Hide
          David Mudrak added a comment -

          Submitting for integration.

          Show
          David Mudrak added a comment - Submitting for integration.
          Hide
          David Mudrak added a comment -

          This can be effectively tested together with MDL-39249.

          Show
          David Mudrak added a comment - This can be effectively tested together with MDL-39249 .
          Hide
          Dan Poltawski added a comment -

          Integrated to master - thanks David

          Show
          Dan Poltawski added a comment - Integrated to master - thanks David
          Hide
          Frédéric Massart added a comment -

          Passing as tested as part of MDL-39249.

          Show
          Frédéric Massart added a comment - Passing as tested as part of MDL-39249 .
          Hide
          Eloy Lafuente (stronk7) added a comment -

          I feel myself really alone tonight! So was time to push your fixes upstream!

          "Lest we forget. We will remember them."

          Thanks and ciao!

          Show
          Eloy Lafuente (stronk7) added a comment - I feel myself really alone tonight! So was time to push your fixes upstream! "Lest we forget. We will remember them." Thanks and ciao!

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: